Subject: Re: bug#8791: 23.3; EasyPG: pinentry in remote emacs session without X

From: Daiki Ueno <[email-masked]>
Date: Fri, 03 Jun 2011 13:20:15 +0900

Roland Winkler <[email-masked]> writes:

> I am running emacs remotely as a child of gpg-agent, but with X
> forwarding disabled. If I am trying to visit a gpg-encrypted file, 
> I simply get the error message
>
>   File exists, but cannot be read
>
> and I get an empty buffer.
>
> I would expect that with X forwarding disabled, emacs will ask for the
> passphrase in the minibuffer. (I believe I got this behavior when I had
> no pinentry program installed.)

Well I think pinentry should fallback to use curses in this case.
However it is not currently possible since there is no way to get the
tty where Emacs is running.  See:

http://article.gmane.org/gmane.emacs.devel/96207

Regards,
-- 
Daiki Ueno